#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	nspr
Version		:	4.35
Release		:	14.4.0.0%{?dist}
Summary		:	A library for editing typed command lines
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MPLv2.0
URL		:	https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSPR
			#https://archive.mozilla.org/pub/nspr/releases/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
cd %{name}

sed -ri 						\
  -e 's#^(RELEASE_BINS =).*#\1#'			\
  pr/src/misc/Makefile.in
sed -i 							\
  -e 's#$(LIBRARY) ##'					\
  config/rules.mk 

./configure						\
        --prefix=%{_prefix}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--with-mozilla					\
	--with-pthreads					\
	$([ %{_arch} = x86_64 ] &&			\
		echo --enable-64bit)			\

%{__make} clean
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

cd %{name}
%{__make} DESTDIR="%{buildroot}" install

%files			
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/md/_*.cfg
%{_includedir}/%{name}/obsolete/*.h
%{_includedir}/%{name}/private/*.h
%{_bindir}/%{name}-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4

%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

%changelog
